import { Breakpoint } from '@atomic-layout/core';
import { ResponsiveQueryParams, BreakpointRef } from '../hooks/useResponsiveQuery';
export declare const resolveBreakpoint: (breakpointRef: BreakpointRef) => Breakpoint;
/**
 * Returns a list of breakpoints based on a responsive query.
 * @example
 * getBreakpointsByQuery({ from: 'md' })
 * // [{ minWidth: 768 }]
 * getBreakpointsByQuery({ from: 'sm', to: 'lg' })
 * // [{ minWidth: 576 }, { maxWidth: 1199 }]
 */
export declare const getBreakpointsByQuery: (params: ResponsiveQueryParams) => Breakpoint[];
