import * as React from 'react';
import { Breakpoint, GenericProps } from '@atomic-layout/core';
/**
 * Wraps the given area component in a placeholder component.
 * This is used for conditional components, where placeholder component is rendered
 * until the condition for that area component is met (i.e. viewport matches a breakpoint).
 */
export declare const withPlaceholder: (Component: import("react").FC<import("@atomic-layout/core").BoxProps>, breakpoints: Breakpoint[]) => React.FC<GenericProps>;
